#include "device.h"
#include "utils/array.h"
#include "usb/usb.h"

struct DEVICE
{
    void* driver;
};

array_t* device_array;

void device_init()
{
    device_array = array_alloc();
    usb_init();
}

array_t* device_get_array()
{
    return device_array;
}

char* device_get_image(device_t* device)
{
    return "/home/valentin/Documents/prjs/ginput/drivers/g-wolves/htx/htx_0.png";
}

char* device_get_name(device_t* device)
{
    return "G-Wolves HTX 4K";
}
